package.json 6.41 KB
Newer Older
1
2
3
4
5
{
  "name": "Drupal",
  "description": "Drupal is an open source content management platform powering millions of websites and applications.",
  "license": "GPL-2.0",
  "private": true,
6
7
  "engines": {
    "yarn": ">= 1.6",
8
    "node": ">= 16.0"
9
  },
10
  "scripts": {
11
    "build": "yarn build:css & yarn build:js & yarn build:ckeditor5",
12
    "watch": "yarn watch:css & yarn watch:js & yarn watch:ckeditor5",
13
14
    "build:css": "node ./scripts/css/postcss-build.js",
    "watch:css": "node ./scripts/css/postcss-watch.js",
15
    "build:js": "cross-env BABEL_ENV=legacy node ./scripts/js/babel-es6-build.js",
16
    "build:js-dev": "cross-env NODE_ENV=development BABEL_ENV=legacy node ./scripts/js/babel-es6-build.js",
17
18
    "watch:js": "cross-env BABEL_ENV=legacy node ./scripts/js/babel-es6-watch.js",
    "watch:js-dev": "cross-env NODE_ENV=development BABEL_ENV=legacy node ./scripts/js/babel-es6-watch.js",
19
20
21
22
23
    "lint:core-js": "node ./node_modules/eslint/bin/eslint.js .",
    "lint:core-js-passing": "node ./node_modules/eslint/bin/eslint.js --quiet --config=.eslintrc.passing.json .",
    "lint:core-js-stats": "node ./node_modules/eslint/bin/eslint.js --format=./scripts/js/eslint-stats-by-type.js .",
    "lint:css": "stylelint \"**/*.css\"",
    "lint:css-checkstyle": "stylelint \"**/*.css\" --custom-formatter ./node_modules/stylelint-checkstyle-formatter/index.js",
24
    "lint:yaml": "node ./node_modules/eslint/bin/eslint.js --ext .yml .",
25
    "test:nightwatch": "cross-env BABEL_ENV=development node -r dotenv-safe/config -r @babel/register ./node_modules/.bin/nightwatch --config ./tests/Drupal/Nightwatch/nightwatch.conf.js",
26
    "prettier": "prettier --write \"./**/*.es6.js\" \"./tests/Drupal/Nightwatch/**/*.js\" \"./modules/ckeditor5/js/ckeditor5_plugins/**/*.js\"",
27
    "spellcheck": "cspell",
28
    "spellcheck:make-drupal-dict": "rm -f misc/cspell/dictionary.txt && touch misc/cspell/dictionary.txt && yarn -s spellcheck:core --unique --wordsOnly | tr '[:upper:]' '[:lower:]' | tr -d \\\\\\\\ | LC_ALL=C sort -u -o misc/cspell/dictionary.txt",
29
    "spellcheck:core": "cspell \"**/*\" \".*\" \"../composer/**/*\" \"../composer.json\"",
30
    "vendor-update": "node ./scripts/js/vendor-update.js",
31
    "watch:ckeditor5": "webpack --config ./modules/ckeditor5/webpack.config.js --watch",
32
    "build:ckeditor5": "webpack --config ./modules/ckeditor5/webpack.config.js",
33
    "check:ckeditor5": "node ./scripts/js/ckeditor5-check-plugins.js",
34
35
36
    "build:ckeditor5-types": "node ./scripts/js/ckeditor5-types-documentation.js",
    "build:ckeditor5-dev": "yarn build:ckeditor5 --mode=development",
    "watch:ckeditor5-dev": "yarn watch:ckeditor5 --mode=development"
37
38
  },
  "devDependencies": {
39
40
41
    "@babel/core": "^7.0.0",
    "@babel/preset-env": "^7.0.0",
    "@babel/register": "^7.7.7",
42
43
44
45
    "@ckeditor/ckeditor5-alignment": "34.1.x",
    "@ckeditor/ckeditor5-basic-styles": "34.1.x",
    "@ckeditor/ckeditor5-block-quote": "34.1.x",
    "@ckeditor/ckeditor5-code-block": "34.1.x",
46
    "@ckeditor/ckeditor5-dev-utils": "30.1.x",
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
    "@ckeditor/ckeditor5-editor-classic": "34.1.x",
    "@ckeditor/ckeditor5-editor-decoupled": "34.1.x",
    "@ckeditor/ckeditor5-essentials": "34.1.x",
    "@ckeditor/ckeditor5-heading": "34.1.x",
    "@ckeditor/ckeditor5-horizontal-line": "34.1.x",
    "@ckeditor/ckeditor5-html-support": "34.1.x",
    "@ckeditor/ckeditor5-image": "34.1.x",
    "@ckeditor/ckeditor5-indent": "34.1.x",
    "@ckeditor/ckeditor5-language": "34.1.x",
    "@ckeditor/ckeditor5-link": "34.1.x",
    "@ckeditor/ckeditor5-list": "34.1.x",
    "@ckeditor/ckeditor5-paste-from-office": "34.1.x",
    "@ckeditor/ckeditor5-remove-format": "34.1.x",
    "@ckeditor/ckeditor5-source-editing": "34.1.x",
    "@ckeditor/ckeditor5-special-characters": "34.1.x",
    "@ckeditor/ckeditor5-table": "34.1.x",
63
64
    "@drupal/once": "1.0.x",
    "@popperjs/core": "2.11.x",
65
    "babel-plugin-add-header-comment": "^1.0.3",
66
    "backbone": "1.4.x",
67
    "chalk": "^4.1.0",
68
    "chokidar": "^3.3.1",
69
    "chromedriver": "^98.0.1",
70
    "ckeditor5": "34.1.x",
71
    "cross-env": "^7.0.2",
72
    "cspell": "^5.0.0",
73
    "css.escape": "1.5.x",
74
    "dotenv-safe": "^8.2.0",
75
    "es6-promise": "4.2.x",
76
    "eslint": "^8.9.0",
77
    "eslint-config-airbnb-base": "^15.0.0",
78
79
    "eslint-config-prettier": "^8.4.0",
    "eslint-plugin-import": "^2.25.4",
80
    "eslint-plugin-jquery": "^1.5.1",
81
82
    "eslint-plugin-prettier": "^4.0.0",
    "eslint-plugin-yml": "^0.14.0",
83
    "farbtastic": "https://github.com/mattfarina/farbtastic/archive/1.3u.tar.gz",
84
    "glob": "^7.1.2",
85
    "joyride": "https://github.com/zurb/joyride/archive/refs/heads/v2.1.tar.gz",
86
87
88
89
90
    "jquery": "3.6.x",
    "jquery-form": "4.3.x",
    "jquery-once": "2.2.x",
    "jquery-ui": "1.13.x",
    "js-cookie": "3.0.x",
91
    "jsdom": "^19.0.0",
92
    "loadjs": "4.2.x",
93
    "minimist": "^1.2.2",
94
    "mkdirp": "^1.0.4",
95
    "nightwatch": "^1.6.3",
96
97
    "normalize.css": "8.0.x",
    "picturefill": "3.0.x",
98
99
    "postcss": "^7.0.18",
    "postcss-calc": "^7.0.1",
100
    "postcss-header": "^2.0.0",
101
    "postcss-import": "^12.0.1",
102
    "postcss-preset-env": "^6.7.0",
103
    "postcss-pxtorem": "^5.1.1",
104
    "postcss-url": "^8.0.0",
105
    "prettier": "^2.1.2",
106
    "raw-loader": "^4.0.2",
107
108
    "shepherd.js": "9.1.x",
    "sortablejs": "1.15.x",
109
110
111
112
    "stylelint": "^14.0.1",
    "stylelint-checkstyle-formatter": "^0.1.2",
    "stylelint-config-standard": "^23.0.0",
    "stylelint-order": "^5.0.0",
113
    "tabbable": "5.3.x",
114
    "terser": "^5.3.4",
115
    "terser-webpack-plugin": "^5.2.0",
116
    "underscore": "1.13.x",
117
118
    "webpack": "^5.51.1",
    "webpack-cli": "^4.4.0"
119
  },
120
  "//": "'development is the default environment, and legacy is for transpiling the old jQuery codebase",
121
  "babel": {
122
123
124
125
    "env": {
      "development": {
        "presets": [
          [
126
            "@babel/preset-env",
127
128
129
130
131
132
133
134
135
136
137
138
            {
              "modules": "commonjs",
              "targets": {
                "node": "current"
              }
            }
          ]
        ]
      },
      "legacy": {
        "presets": [
          [
139
            "@babel/preset-env",
140
            {
141
              "modules": false
142
143
144
145
146
            }
          ]
        ]
      }
    }
147
148
  },
  "browserslist": [
149
150
151
152
153
154
155
156
157
158
159
    "last 2 Chrome major versions",
    "last 2 Firefox major versions",
    "last 2 Safari major versions",
    "last 2 Edge major versions",
    "last 2 Opera versions",
    "last 2 iOS major versions",
    "last 1 Explorer major version",
    "last 1 ChromeAndroid version",
    "last 1 UCAndroid version",
    "last 1 Samsung version",
    "Firefox ESR"
160
  ]
161
}